> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synapsai.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# List available models

> Lists the currently available models, and provides basic information about each one such as the owner and availability.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/models
openapi: 3.1.0
info:
  title: SynapsAI Inference API
  version: 1.0.0
servers:
  - url: https://api.synapsai.cloud
    description: Production server
security: []
paths:
  /v1/models:
    get:
      summary: List available models
      description: >-
        Lists the currently available models, and provides basic information
        about each one such as the owner and availability.
      operationId: listModels
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListModelsResponse'
components:
  schemas:
    ListModelsResponse:
      type: object
      description: Response object for the list models endpoint.
      properties:
        object:
          type: string
          enum:
            - list
          description: The object type, which is always 'list'.
        data:
          type: array
          items:
            $ref: '#/components/schemas/Model'
          description: The list of models.
      required:
        - object
        - data
    Model:
      type: object
      description: Describes an AI model that can be used with the API.
      properties:
        id:
          type: string
          description: The model identifier, which can be referenced in the API endpoints.
        object:
          type: string
          enum:
            - model
          description: The object type, which is always 'model'.
        created:
          type: integer
          description: The Unix timestamp (in seconds) when the model was created.
        owned_by:
          type: string
          description: The organization or client that owns the model.
        status:
          type: string
          description: The status of the model.
          enum:
            - building
            - idle
            - ready
            - failed
      required:
        - id
        - object
        - created
        - owned_by
        - status

````